--- a/WINGs/wfont.c
+++ b/WINGs/wfont.c
@@ -159,10 +159,17 @@ WMCreateFont(WMScreen *scrPtr, char *fontName)
 
     font->font = XftFontOpenName(display, scrPtr->screen, fname);
     if (!font->font) {
-        wfree(font);
-        wfree(fname);
-        return NULL;
+       printf("Font named %s doesn't exist.\n", fname);
+       printf("Please check your system configuration.\n");
+       printf("Will try default font %s.\n", DEFAULT_FONT);
+       font->font = XftFontOpenName(display, scrPtr->screen, DEFAULT_FONT);
+       if (!font->font) {
+           printf("Unrecoverable font error! I must die!\n");
+           exit(1);
+       } else
+          printf("Default font loading succeded.\n");
     }
+
     font->height = font->font->ascent+font->font->descent;
     font->y = font->font->ascent;

